package fr.sanchezm.attestationsCovid19.data.db.entity

import androidx.room.Entity
import androidx.room.PrimaryKey
import java.lang.StringBuilder

const val CURRENT_ATTESTATION_ID = 0

@Entity(tableName = "attestation")
data class Attestation(
    val profile: Profile,
    val exitDate: String,
    val exitHour: String,
    val createAt: String,
    val reasons: List<Int>
) {
    @PrimaryKey
    var id: Int = CURRENT_ATTESTATION_ID

    override fun toString(): String {
        val motifs = StringBuilder()

        repeat(reasons.size) { motifs.append(getMotifText(it), "-") }.also { motifs.dropLast(1) }
        return "Cree le: $createAt; $profile; Sortie: $exitDate a $exitHour; Motifs: $motifs"
    }

    private fun getMotifText(i: Int): String {
        return when (i) {
            1 -> "travail"
            2 -> "courses"
            3 -> "sante"
            4 -> "famille"
            5 -> "sport"
            6 -> "judiciare"
            7 -> "missions"
            else -> ""
        }
    }

}