package fr.sanchezm.attestationsCovid19.data.repository

import fr.sanchezm.attestationsCovid19.data.db.dao.AttestationDao

class AttestationRepository private constructor(private val attestationDao: AttestationDao) {

    companion object {
        @Volatile
        private var instance: AttestationRepository? = null

        fun getInstance(attestationDao: AttestationDao) =
            instance ?: synchronized(this) {
                instance ?: AttestationRepository(attestationDao).also { instance = it }
            }
    }
}