package fr.sanchezm.attestationsCovid19.utilities

import android.content.Context
import fr.sanchezm.attestationsCovid19.data.db.MyDatabase
import fr.sanchezm.attestationsCovid19.data.repository.AttestationRepository
import fr.sanchezm.attestationsCovid19.data.repository.ProfileRepository
import fr.sanchezm.attestationsCovid19.ui.add.AddViewModelFactory
import fr.sanchezm.attestationsCovid19.ui.attestations.AttestationsViewModelFactory

object InjectorUtils {

    fun provideAddViewModelFactory(context: Context): AddViewModelFactory {
        val profileRepository =
            ProfileRepository.getInstance(MyDatabase.invoke(context).profileDao())
        val attestationRepository =
            AttestationRepository.getInstance(MyDatabase.invoke(context).attestationDao())

        return AddViewModelFactory(profileRepository, attestationRepository)
    }

    fun provideAttestationViewModel(context: Context): AttestationsViewModelFactory {
        val attestationRepository =
            AttestationRepository.getInstance(MyDatabase.invoke(context).attestationDao())

        return AttestationsViewModelFactory(attestationRepository)
    }

}